Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 22 Jun 2021 05:19:02 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Hi. I would like to inform you that I am unable to redeem the coupon code KLS20 at checkout which is still applicable. My total amount is 21.30 kd and when I use the code for lifestyle it’s shows the coupon cannot be redeemed. Can you check with it and lemme know why I can’t use the code .. thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2604428